#!/bin/bash
##########################################
# File Name: 53_uniq_ip_times.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:用awk统计ip和每个ip对应的流量，取流量排行前50名进行地址查询和单位换算
###########################################

#1.vars
file=/server/files/access.log
awk_deal=(`awk '{url[$1]=url[$1]+$10}END{for(n in url)print n,url[n]}' $file | sort -rnk2 | head -50`)
count=0
for i in ${awk_deal[@]}
do
        if (( count % 2 == 0 ));then
                echo -n "ipaddress: $i   "
                echo `curl -s cip.cc/${i} | sed -n '2p'`
                sleep 1.5
        else
                echo -n `awk -v a=$i 'BEGIN{print a/1000/1000}'`
                echo " MB"
        fi
        let count++
done
